I am getting an error on startup (but after installation of packages) reading "SmartHeap license error: SMP version required for hardware with more than one processor package."

I have dual core machine, specs: MacBookPro4,1, Intel Core 2 Duo, 2.5 GHz, Total Number of Cores: 2, Memory: 4 GB.

Thoughts?